Subject: Re: [syzbot] WARNING: suspicious RCU usage in hsr_node_get_first

From: syzbot <[email-masked]>
Date: Tue, 26 Jul 2022 15:46:07 -0700

syzbot suspects this issue was fixed by commit:

commit f856373e2f31ffd340e47e2b00027bd4070f74b3
Author: Felix Fietkau <[email-masked]>
Date:   Tue May 31 19:08:24 2022 +0000

    wifi: mac80211: do not wake queues on a vif that is being stopped

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=11100172080000
start commit:   0840a7914caa Merge tag 'char-misc-5.19-rc4' of git://git.k..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=542d3d75f0e6f36f
dashboard link: https://syzkaller.appspot.com/bug?extid=d4de7030f60c07837e60
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=12820318080000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=11f144fff00000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: wifi: mac80211: do not wake queues on a vif that is being stopped

For information about bisection process see: https://goo.gl/tpsmEJ#bisection